buffer_put(3)

NAME
buffer_put - write binary data to buffer

SYNTAX
#include <buffer.h> int buffer_put(buffer* b,const char* x,unsigned int len);

DESCRIPTION
buffer_put writes len bytes from x to b. The difference to buffer_putalign is that, when there isn't enough space for new data, buffer_put calls buffer_flush before copying any data, while buffer_putalign fills all available space with data before calling buffer_flush. On success, buffer_put returns 0. On error, buffer_put returns -1, setting errno appropriately.

SEE ALSO
buffer_putalign(3), buffer_puts(3), buffer_flush(3), buffer(3)